Package com.pixelmed.network

# Interface AbstractSyntaxSelectionPolicy

All Known Implementing Classes:
  `CompositeInstanceStoreAbstractSyntaxSelectionPolicy`, `CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy`

public interface AbstractSyntaxSelectionPolicy

Implementations of this interface accept or reject Presentation Contexts from a list based on their Abstract Syntax.

See Also:
  - `CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy`

## Method Summary

Modifier and Type
Method
Description
`LinkedList`
`applyAbstractSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber)`
Accept or reject Abstract Syntaxes (SOP Classes).
`LinkedList`
`applyAbstractSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)`
Accept or reject Abstract Syntaxes (SOP Classes).

## Method Details

### applyAbstractSyntaxSelectionPolicy

LinkedList applyAbstractSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)
Accept or reject Abstract Syntaxes (SOP Classes). Should be called before Transfer Syntax selection is performed.

Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID)
  `associationNumber` - used for debugging messages
  `debugLevel` - ignored
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)"

### applyAbstractSyntaxSelectionPolicy

LinkedList applyAbstractSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber)
Accept or reject Abstract Syntaxes (SOP Classes). Should be called before Transfer Syntax selection is performed.

Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID)
  `associationNumber` - used for debugging messages
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)"